Page MenuHomePhabricator

Category title appears in blue in preview, even when the description page hasn't been created
Closed, ResolvedPublic1 Story Points

Description

(Per report) Unlike what T153534 claims, you can actually see categories while previewing the page, but they will always be in blue even if the related category page doesn't actually exist.

Event Timeline

Elitre created this task.Nov 7 2017, 10:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2017, 10:40 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptNov 7 2017, 10:40 AM
Elitre renamed this task from Categories title appear in blue in preview, even when the description page hasn't been created to Category title appears in blue in preview, even when the description page hasn't been created.Nov 7 2017, 10:41 AM

Change 394088 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ui.MWSaveDialog: consistent handling of preview category links

https://gerrit.wikimedia.org/r/394088

Change 394088 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ui.MWSaveDialog: consistent handling of preview category links

https://gerrit.wikimedia.org/r/394088

Deskana closed this task as Resolved.Dec 1 2017, 11:04 AM
Deskana assigned this task to DLynch.
Deskana triaged this task as Normal priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 1 2017, 11:04 AM
Whatamidoing-WMF reopened this task as Open.Mar 7 2018, 11:59 PM
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.

Codename Lisa reports that non-existent categories are previewing in blue. I verified this at the English Wikipedia. Only one of these cats should be blue:

Whatamidoing-WMF renamed this task from Category title appears in blue in preview, even when the description page hasn't been created to [Regression] Category title appears in blue in preview, even when the description page hasn't been created.Mar 7 2018, 11:59 PM

Ahh. Side-effect of 3c72766720, with the existing check on rel being too specific. One second.

Change 417175 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] LinkCache: styleParsoidElements find mw:WikiLink with ~=

https://gerrit.wikimedia.org/r/417175

Jdforrester-WMF renamed this task from [Regression] Category title appears in blue in preview, even when the description page hasn't been created to Category title appears in blue in preview, even when the description page hasn't been created.Mar 8 2018, 12:14 AM
TheDJ awarded a token.Mar 8 2018, 10:10 AM